﻿using System.Windows.Forms;

namespace ValidationEngine.Commons
{
    // View with binding source.
    public interface IBindableView
    {
        /// <summary>
        /// Root binding source of the view.
        /// </summary>
        BindingSource Source { get; }

        /// <summary>
        /// DataMember of parent data source for Source
        /// </summary>
        string ParentSourceMember { get; set; }
    }
}
