﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;
using ValidationEngineXTest.UI;

namespace ValidationEngineXTest
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            ITestView view = new TestView();
            TestViewPresenter presenter = new TestViewPresenter(view);
            Application.Run((Form)view);
        }
    }
}
