﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ValidationEngine.Commons.Enums;
using ValidationEngine.Tools;
using ValidationEngine.ValidationRules;

namespace ValidationEngineXTest.Models.Validators
{
    class ProductValidator: BaseValidator<Product>
    {
        public ProductValidator()
        {
            AddRule(Property(x => x.Name), new RequiredRule(defErrorText: "Name is required!", ruleApplingContext: RuleApplingContext.OnSave));
        }
    }
}
